eclipselinux使用
2016-11-23 19:58:10 swjtufq 阅读数 205

我们在搞上层开发的时候,都是在windows下使用eclipse,那么如果是Linux应用开发,就必须要在Linux中安装eclipse,用于C/C++开发,当前是要在Linux带界面的系统中运行了,我这里就重新安装了一个带界面的CentOS6.3
这里写图片描述

首先打开浏览器,找到jdk的官网,下载Linux下的jdk8的gz包
这里写图片描述

这个下载过程我就不演示了,然后打开eclipse的官网,下载eclipse C/C++相关版本
这里写图片描述

下载好,之后就是两个gz包
这里写图片描述

解压jdk的压缩包(解压过程不演示了)
这里写图片描述

把这个解压好的目录复制到/usr/local/下
然后配置环境变量/etc/profile
这里写图片描述
加入如图所示的两行

然后source /etc/profile 让这个配置文件立刻生效

最后用java -version查看java版本
这里写图片描述

以上jdk就安装好了
下面解压eclipse的gz包
解压完之后进入eclipse
这里写图片描述

然后./eclipse启动eclipse
这里写图片描述
看到了我们熟悉的界面
然后new一个C project,选择如图所示

这里写图片描述
选择带AutoTools的
这里写图片描述
打开之后看到目录结构中的文件,很熟悉吧,这里是用的AutoTools工具环境
这里写图片描述

其他的用法跟windows类似了
这里写图片描述
运行,调试等等

好了,Linux下eclipse安装及使用就总结到这里,如有问题,欢迎指正,谢谢。

2017-07-10 15:37:10 kaishuishushu 阅读数 4079

我们在搞上层开发的时候,都是在windows下使用eclipse,那么如果是Linux应用开发,就必须要在Linux中安装eclipse,用于C/C++开发,当前是要在Linux带界面的系统中运行了,我这里就重新安装了一个带界面的CentOS6.3
这里写图片描述

首先打开浏览器,找到jdk的官网,下载Linux下的jdk8的gz包
这里写图片描述

这个下载过程我就不演示了,然后打开eclipse的官网,下载eclipse C/C++相关版本
这里写图片描述

下载好,之后就是两个gz包
这里写图片描述

解压jdk的压缩包(解压过程不演示了)
这里写图片描述

把这个解压好的目录复制到/usr/local/下
然后配置环境变量/etc/profile
这里写图片描述
加入如图所示的两行

然后source /etc/profile 让这个配置文件立刻生效

最后用java -version查看java版本
这里写图片描述

以上jdk就安装好了
下面解压eclipse的gz包
解压完之后进入eclipse
这里写图片描述

然后./eclipse启动eclipse
这里写图片描述
看到了我们熟悉的界面
然后new一个C project,选择如图所示

这里写图片描述
选择带AutoTools的
这里写图片描述
打开之后看到目录结构中的文件,很熟悉吧,这里是用的AutoTools工具环境
这里写图片描述

其他的用法跟windows类似了
这里写图片描述
运行,调试等等

好了,Linux下eclipse安装及使用就总结到这里,如有问题,欢迎指正,谢谢。

2012-04-05 15:36:00 jubincn 阅读数 11

操作系统:ubuntu11.04

eclispe版本:eclipse 3.6 helios

svn插件:subclipse + svnkit

subclipe地址:http://subclipse.tigris.org/update_1.6.x

在eclipse中安装subclipse时,需要全选,默认svnkit client adapter是不会安装的。svnkit不必额外安装,因为用到的主要就是这个adapter。

之前使用JavaHL,在读取repository时总是出错,后来发现是缺少libsvnjava包,安装libsvn-java后,问题仍没解决,似乎需要修改java库的路径。在这时,看到有人推荐使用svnkit,然后在eclipse中进行配置:window -- preference -- team -- svn -- svn interface那里选择svnkit。


另外,ssh服务启动的命令:

sudo /etc/init.d/ssh start

2017-08-02 22:13:00 weixin_33739541 阅读数 10

Linux 系统下Eclipse安装及使用

我们在搞上层开发的时候,都是在Windows下使用Eclipse,那么如果是Linux应用开发,就必须要在Linux中安装Eclipse,用于C/C++开发,当前是要在Linux带界面的系统中运行了,我这里就重新安装了一个带界面的CentOS6.3。

 

首先打开浏览器,找到JDK的官网,下载Linux下的JDK8的gz包 

 

这个下载过程我就不演示了,然后打开Eclipse的官网,下载Eclipse C/C++相关版本 

 

下载好,之后就是两个gz包 

 

解压jdk的压缩包(解压过程不演示了) 

 

把这个解压好的目录复制到/usr/local/下 

然后配置环境变量/etc/profile 

 

加入如图所示的两行

然后source /etc/profile 让这个配置文件立刻生效

最后用java -version查看java版本 

 

以上jdk就安装好了 

下面解压eclipse的gz包 

解压完之后进入eclipse 

 

然后./eclipse启动eclipse 

 看到了我们熟悉的界面 

然后new一个C project(Java 项目也可以),选择如图所示:

 选择带AutoTools的 

 

打开之后看到目录结构中的文件,很熟悉吧,这里是用的AutoTools工具环境 

 

 

其他的用法跟Windows类似了

 运行,调试等等。

好了,Linux下eclipse安装及使用就总结到这里,如有问题,欢迎指正,谢谢。

Ubuntu 15.04中使用Eclipse 4.4、Java 8以及WTP  http://www.linuxidc.com/Linux/2016-04/129821.htm

Ubuntu 16.04安装Eclipse http://www.linuxidc.com/Linux/2016-07/133482.htm

Ubuntu 14.04 LTS安装Java 8和Eclipse 4.4  http://www.linuxidc.com/Linux/2014-11/109217.htm

Hadoop Eclipse 插件编译安装1.2.0 http://www.linuxidc.com/Linux/2013-07/87428.htm

Hadoop在Eclipse中的插件编译 http://www.linuxidc.com/Linux/2013-04/83295.htm

Hadoop 1.2.1编译Eclipse插件 http://www.linuxidc.com/Linux/2013-10/91666.htm

如何在Ubuntu 14.04中安装最新版Eclipse  http://www.linuxidc.com/Linux/2014-08/105090.htm

Eclipse 的详细介绍请点这里

Eclipse 的下载地址请点这里

2012-04-05 15:36:36 jubincn 阅读数 4600

操作系统:ubuntu11.04

eclispe版本:eclipse 3.6 helios

svn插件:subclipse + svnkit

subclipe地址:http://subclipse.tigris.org/update_1.6.x

在eclipse中安装subclipse时,需要全选,默认svnkit client adapter是不会安装的。svnkit不必额外安装,因为用到的主要就是这个adapter。

之前使用JavaHL,在读取repository时总是出错,后来发现是缺少libsvnjava包,安装libsvn-java后,问题仍没解决,似乎需要修改java库的路径。在这时,看到有人推荐使用svnkit,然后在eclipse中进行配置:window -- preference -- team -- svn -- svn interface那里选择svnkit。


另外,ssh服务启动的命令:

sudo /etc/init.d/ssh start

没有更多推荐了,返回首页